Skip to main content
POST
Add an SSH key

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required

The ID of the user.

Example:

"d81c8ee2-44b3-429f-b944-a33ad7437690"

Body

application/json
value
string
required

An SSH public key in the OpenSSH authorized keys format.

Example:

"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAI... user@example.com"

label
string

A human-readable name for the key. Defaults to the comment in the key.

Maximum string length: 255

Response

Created

id
string

The ID of the SSH key.

sha256
string

The SHA-256 fingerprint of the public key.

value
string

The SSH public key in the OpenSSH authorized keys format.

label
string

A human-readable name for the key.

active
boolean

Whether the key can be used for authentication.

user_id
string<uuid>

The ID of the user who owns the key.

created_at
string<date-time>

The date and time when the key was added.

updated_at
string<date-time>

The date and time when the key was last updated.